summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Klaatu <klaatu@member.fsf.org>2015-07-02 23:41:14 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-07-04 10:38:18 +0700
commitce7e48e8521d6df31b92288d40888901bbda97dd (patch)
treea5653484e2c98105e243a6d72837c6f30452c810
parent753344da68e5d7afa9890522d998ff9cb25a2de5 (diff)
downloadslackbuilds-ce7e48e8521d6df31b92288d40888901bbda97dd.tar.gz
slackbuilds-ce7e48e8521d6df31b92288d40888901bbda97dd.tar.xz
audio/fabla: Added (LV2 drum machine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/fabla/README22
-rw-r--r--audio/fabla/doinst.sh4
-rw-r--r--audio/fabla/fabla.SlackBuild106
-rw-r--r--audio/fabla/fabla.desktop76
-rw-r--r--audio/fabla/fabla.info10
-rw-r--r--audio/fabla/slack-desc19
6 files changed, 237 insertions, 0 deletions
diff --git a/audio/fabla/README b/audio/fabla/README
new file mode 100644
index 0000000000..ad1ad5ecd3
--- /dev/null
+++ b/audio/fabla/README
@@ -0,0 +1,22 @@
+Fabla is an open-source LV2 drum sampler plugin instrument.
+
+It is ideal for loading up your favorite sampled sounds and
+bashing away on a MIDI controller, or beat programming.
+
+It features an ADSR envelope which allows the shaping of
+sounds in your bank independently of one another.
+
+ntk
+cairomm
+lv2
+slv2
+Optional Requirement: jalv (optional)
+
+You can use jalv (available from SlackBuilds.org) to launch
+this and other LV2 plugins as stand-alone applications. To
+install a .desktop file for Fabla, use JALV=yes when you run
+the SlackBuild, like this:
+
+
+# JALV=yes ./fabla.SlackBuild
+
diff --git a/audio/fabla/doinst.sh b/audio/fabla/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/audio/fabla/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/audio/fabla/fabla.SlackBuild b/audio/fabla/fabla.SlackBuild
new file mode 100644
index 0000000000..f898a5ed21
--- /dev/null
+++ b/audio/fabla/fabla.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+# Slackware build script for fabla
+# Copyright 2015 Klaatu, Wellington NZ
+
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=fabla
+VERSION=${VERSION:-1.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/release-$VERSION.tar.gz -C $PRGNAM-$VERSION --strip-components 1
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+
+# patch
+sed -i 's_fabla.lv2/fabla.ttl_dsp/fabla.ttl_' cmake_install.cmake
+sed -i 's_lib/_lib'$LIBDIRSUFFIX'/_' cmake_install.cmake
+make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md run.sh $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+if [ X"$JALV" != "X" ]; then
+ # desktop file, added to SlackBuild for convenience
+ mkdir -p $PKG/usr/share/applications/
+ cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
+
+ # generate icon for .desktop file
+ mkdir -p $PKG/usr/share/icons/hicolor/256x256/apps/
+ ICONPX=256x256
+ ICONDIR=$PKG/usr/share/icons/hicolor/$ICONPX/apps/
+ convert gui/header_flat.xcf -background black -flatten $ICONDIR/fabla.png
+ convert $ICONDIR/fabla.png -crop $ICONPX+0+0 $ICONDIR/title.png
+ convert -size $ICONPX pattern:checkerboard -auto-level +level-colors black,#ff5100 $ICONDIR/check.png
+ convert -size $ICONPX gradient: -flip $ICONDIR/grad.png
+ composite -compose multiply $ICONDIR/grad.png $ICONDIR/check.png $ICONDIR/back.png
+ composite -gravity north $ICONDIR/title.png $ICONDIR/back.png $ICONDIR/$PRGNAM.png
+ rm $ICONDIR/{b,c,g,t}*png
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/fabla/fabla.desktop b/audio/fabla/fabla.desktop
new file mode 100644
index 0000000000..fca152224e
--- /dev/null
+++ b/audio/fabla/fabla.desktop
@@ -0,0 +1,76 @@
+[Desktop Entry]
+Name=Fabla
+Name[af]=Fabla
+Name[as]=Fabla
+Name[ast]=Fabla
+Name[be]=Fabla
+Name[be@latin]=Fabla
+Name[bg]=Fabla
+Name[bn_IN]=Fabla
+Name[ca]=Fabla
+Name[ca@valencia]=Fabla
+Name[cs]=Fabla
+Name[csb]=Fabla
+Name[da]=Fabla
+Name[de]=Fabla
+Name[el]=Fabla
+Name[en_GB]=Fabla
+Name[eo]=Fabla
+Name[es]=Fabla
+Name[et]=Fabla
+Name[eu]=Fabla
+Name[fi]=Fabla
+Name[fr]=Fabla
+Name[ga]=Fabla
+Name[gl]=Fabla
+Name[he]=Fabla
+Name[hr]=Fabla
+Name[hsb]=Fabla
+Name[hu]=Fabla
+Name[ia]=Fabla
+Name[id]=Fabla
+Name[is]=Fabla
+Name[it]=Fabla
+Name[ja]=Fabla
+Name[ka]=Fabla
+Name[kk]=Fabla
+Name[km]=Fabla
+Name[ko]=Fabla
+Name[ku]=Fabla
+Name[lt]=Fabla
+Name[lv]=Fabla
+Name[ms]=Fabla
+Name[nb]=Fabla
+Name[nds]=Fabla
+Name[nl]=Fabla
+Name[nn]=Fabla
+Name[oc]=Fabla
+Name[pl]=Fabla
+Name[pt]=Fabla
+Name[pt_BR]=Fabla
+Name[ro]=Fabla
+Name[ru]=Fabla
+Name[se]=Fabla
+Name[sk]=Fabla
+Name[sl]=Fabla
+Name[sr@ijekavianlatin]=Fabla
+Name[sr@latin]=Fabla
+Name[sv]=Fabla
+Name[tg]=Fabla
+Name[tr]=Fabla
+Name[ug]=Fabla
+Name[uk]=Fabla
+Name[uz]=Fabla
+Name[uz@cyrillic]=Fabla
+Name[vi]=Fabla
+Name[wa]=Fabla
+Name[x-test]=xxFablaxx
+Name[zh_CN]=Fabla
+Name[zh_TW]=Fabla
+Exec=jalv.gtk http://www.openavproductions.com/fabla
+Icon=fabla
+Type=Application
+Categories=Audio;Sound;
+GenericName=Drum Machine
+GenericName[x-test]=xxDrumMachinexx
+Terminal=false \ No newline at end of file
diff --git a/audio/fabla/fabla.info b/audio/fabla/fabla.info
new file mode 100644
index 0000000000..2d80d56868
--- /dev/null
+++ b/audio/fabla/fabla.info
@@ -0,0 +1,10 @@
+PRGNAM="fabla"
+VERSION="1.3.1"
+HOMEPAGE="http://openavproductions.com/fabla/"
+DOWNLOAD="https://github.com/harryhaaren/openAV-Fabla/archive/release-1.3.1.tar.gz"
+MD5SUM="91b035064db94b3332c8363ae27a511f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ntk cairomm slv2"
+MAINTAINER="Klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/audio/fabla/slack-desc b/audio/fabla/slack-desc
new file mode 100644
index 0000000000..8a01c03ca0
--- /dev/null
+++ b/audio/fabla/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fabla: fabla (LV2 drum machine)
+fabla:
+fabla: Fabla is a drum machine and sample trigger in the style of Akai MPC
+fabla: or Alesis HR-16. It is an LV2 plugin and can be used with most Linux
+fabla: DAWs, as well as with Javl as a stand-alone.
+fabla:
+fabla: http://openavproductions.com/fabla/
+fabla:
+fabla:
+fabla:
+fabla: